org.jbpm.workflow.instance.impl

## Class WorkflowProcessInstanceImpl

- java.lang.Object
- - org.jbpm.process.instance.impl.ProcessInstanceImpl
  - - org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl

- All Implemented Interfaces:
    Serializable, ContextableInstance, ContextInstanceContainer, org.kie.api.runtime.process.EventListener, org.kie.api.runtime.process.NodeInstanceContainer, org.kie.api.runtime.process.ProcessInstance, org.kie.api.runtime.process.WorkflowProcessInstance
  Direct Known Subclasses:
    RuleFlowProcessInstance

      public abstract class WorkflowProcessInstanceImpl
      extends ProcessInstanceImpl
      implements WorkflowProcessInstance, NodeInstanceContainer

  Default implementation of a RuleFlow process instance.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.kie.api.runtime.process.ProcessInstance

      `SLA_ABORTED, SLA_MET, SLA_NA, SLA_PENDING, SLA_VIOLATED, STATE_ABORTED, STATE_ACTIVE, STATE_COMPLETED, STATE_PENDING, STATE_SUSPENDED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowProcessInstanceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActivatingNodeId(String uniqueId)`
    `void` | `addCompletedNodeId(String uniqueId)`
    `void` | `addEventListener(String type, org.kie.api.runtime.process.EventListener listener, boolean external)`
    `void` | `addNodeInstance(NodeInstance nodeInstance)`
    `void` | `configureSLA()`
    `TimerInstance` | `configureSLATimer(String slaDueDateExpression)`
    `TimerInstance` | `configureSLATimer(String slaDueDateExpression, String timerName)`
    `void` | `disconnect()`
    `List<String>` | `getActivatingNodeIds()`
    `List<String>` | `getActiveNodeIds()`
    `org.kie.api.runtime.rule.AgendaFilter` | `getAgendaFilter()`
    `List<String>` | `getCompletedNodeIds()`
    `String` | `getCorrelationKey()`
    `int` | `getCurrentLevel()`
    `String` | `getDeploymentId()`
    `Function<String,Object>` | `getEventFilterResolver(org.kie.api.runtime.process.NodeInstanceContainer container, org.kie.api.definition.process.Node node, List<NodeInstance> currentView)`
    `String[]` | `getEventTypes()`
    `Object` | `getFaultData()`
    `NodeInstance` | `getFirstNodeInstance(long nodeId)`
    `Map<String,Integer>` | `getIterationLevels()`
    `int` | `getLevelForNode(String uniqueID)`
    `org.kie.api.definition.process.NodeContainer` | `getNodeContainer()`
    `NodeInstance` | `getNodeInstance(long nodeInstanceId)`
    `NodeInstance` | `getNodeInstance(long nodeInstanceId, boolean recursive)`
    `NodeInstance` | `getNodeInstance(org.kie.api.definition.process.Node node)`
    `NodeInstance` | `getNodeInstance(org.kie.api.definition.process.Node node, boolean wrap)`
    `NodeInstance` | `getNodeInstanceByNodeId(long nodeId, boolean recursive)`
    `long` | `getNodeInstanceCounter()`
    `Collection<org.kie.api.runtime.process.NodeInstance>` | `getNodeInstances()`
    `Collection<NodeInstance>` | `getNodeInstances(boolean recursive)`
    `List<NodeInstance>` | `getNodeInstances(long nodeId)`
    `List<NodeInstance>` | `getNodeInstances(long nodeId, List<NodeInstance> currentView)`
    `int` | `getSlaCompliance()`
    `Date` | `getSlaDueDate()`
    `Long` | `getSlaTimerId()`
    `Date` | `getStartDate()`
    `Object` | `getVariable(String name)`
    `Object` | `getVariable(String name, List<ContextInstance> variableScopeInstances)`
    `Map<String,Object>` | `getVariables()`
    `org.kie.api.definition.process.WorkflowProcess` | `getWorkflowProcess()`
    `protected boolean` | `hasDeploymentId()`
    `AtomicLong` | `internalGetNodeInstanceCounter()`
    `void` | `internalSetNodeInstanceCounter(long nodeInstanceCounter)`
    `void` | `internalSetSlaCompliance(int slaCompliance)`
    `void` | `internalSetSlaDueDate(Date slaDueDate)`
    `void` | `internalSetSlaTimerId(Long slaTimerId)`
    `void` | `internalSetStartDate(Date startDate)`
    `boolean` | `isPersisted()`
    `boolean` | `isSignalCompletion()`
    `void` | `nodeInstanceCompleted(NodeInstance nodeInstance, String outType)`
    `void` | `reconnect()`
    `protected void` | `registerExternalEventNodeListeners()`
    `void` | `removeEventListener(String type, org.kie.api.runtime.process.EventListener listener, boolean external)`
    `void` | `removeNodeInstance(NodeInstance nodeInstance)`
    `protected List<String>` | `resolveVariables(List<String> events)`
    `void` | `setAgendaFilter(org.kie.api.runtime.rule.AgendaFilter agendaFilter)`
    `void` | `setCorrelationKey(String correlationKey)`
    `void` | `setCurrentLevel(int currentLevel)`
    `void` | `setDeploymentId(String deploymentId)`
    `void` | `setPersisted(boolean persisted)`
    `void` | `setSignalCompletion(boolean signalCompletion)`
    `void` | `setState(int state)`
    `void` | `setState(int state, String outcome)`
    `void` | `setState(int state, String outcome, Object faultData)`
    `void` | `setVariable(String name, Object value)`
    `void` | `signalEvent(String type, Object event)`
    `void` | `start()`
    `void` | `start(String trigger)`
    `String` | `toString()`
    `protected boolean` | `useAsync(org.kie.api.definition.process.Node node)`
    `protected boolean` | `useTimerSLATracking()`

    - ### Methods inherited from class org.jbpm.process.instance.impl.ProcessInstanceImpl

      `addContextInstance, getAgenda, getContextContainer, getContextInstance, getContextInstance, getContextInstance, getContextInstances, getDescription, getId, getKnowledgeRuntime, getMetaData, getOutcome, getParentProcessInstanceId, getProcess, getProcessId, getProcessName, getProcessXml, getState, internalSetState, internalStart, removeContextInstance, setContextInstance, setDescription, setId, setKnowledgeRuntime, setMetaData, setOutcome, setParentProcessInstanceId, setProcess, setProcessId, setProcessXml, updateProcess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.process.instance.ProcessInstance

      `getKnowledgeRuntime, getMetaData, getOutcome, getProcess, setId, setKnowledgeRuntime, setParentProcessInstanceId, setProcess`

    - ### Methods inherited from interface org.jbpm.process.instance.ContextInstanceContainer

      `addContextInstance, getContextContainer, getContextInstance, getContextInstance, getContextInstances, removeContextInstance`

    - ### Methods inherited from interface org.jbpm.process.instance.ContextableInstance

      `getContextInstance`

    - ### Methods inherited from interface org.kie.api.runtime.process.ProcessInstance

      `getId, getParentProcessInstanceId, getProcessId, getProcessName, getState`

    - ### Methods inherited from interface org.jbpm.workflow.instance.NodeInstanceContainer

      `getState`

- - ### Constructor Detail

    - #### WorkflowProcessInstanceImpl

          public WorkflowProcessInstanceImpl()

  - ### Method Detail

    - #### getNodeContainer

          public org.kie.api.definition.process.NodeContainer getNodeContainer()

    - #### addNodeInstance

          public void addNodeInstance(NodeInstance nodeInstance)

    - #### getLevelForNode

          public int getLevelForNode(String uniqueID)

    - #### removeNodeInstance

          public void removeNodeInstance(NodeInstance nodeInstance)

    - #### getNodeInstances

          public Collection<org.kie.api.runtime.process.NodeInstance> getNodeInstances()

      Specified by:
        `getNodeInstances` in interface `org.kie.api.runtime.process.NodeInstanceContainer`

    - #### getNodeInstances

          public Collection<NodeInstance> getNodeInstances(boolean recursive)

    - #### getNodeInstance

          public NodeInstance getNodeInstance(long nodeInstanceId)

      Specified by:
        `getNodeInstance` in interface `org.kie.api.runtime.process.NodeInstanceContainer`

    - #### getNodeInstanceByNodeId

          public NodeInstance getNodeInstanceByNodeId(long nodeId,
                                                      boolean recursive)

    - #### getNodeInstance

          public NodeInstance getNodeInstance(long nodeInstanceId,
                                              boolean recursive)

    - #### getActiveNodeIds

          public List<String> getActiveNodeIds()

    - #### getFirstNodeInstance

          public NodeInstance getFirstNodeInstance(long nodeId)

    - #### getNodeInstances

          public List<NodeInstance> getNodeInstances(long nodeId)

    - #### getNodeInstances

          public List<NodeInstance> getNodeInstances(long nodeId,
                                                     List<NodeInstance> currentView)

    - #### getNodeInstance

          public NodeInstance getNodeInstance(org.kie.api.definition.process.Node node)

    - #### getNodeInstance

          public NodeInstance getNodeInstance(org.kie.api.definition.process.Node node,
                                              boolean wrap)

    - #### getNodeInstanceCounter

          public long getNodeInstanceCounter()

    - #### internalSetNodeInstanceCounter

          public void internalSetNodeInstanceCounter(long nodeInstanceCounter)

    - #### internalGetNodeInstanceCounter

          public AtomicLong internalGetNodeInstanceCounter()

    - #### getWorkflowProcess

          public org.kie.api.definition.process.WorkflowProcess getWorkflowProcess()

    - #### getVariable

          public Object getVariable(String name)

      Specified by:
        `getVariable` in interface `org.kie.api.runtime.process.WorkflowProcessInstance`

    - #### getVariable

          public Object getVariable(String name,
                                    List<ContextInstance> variableScopeInstances)

    - #### getVariables

          public Map<String,Object> getVariables()

    - #### setVariable

          public void setVariable(String name,
                                  Object value)

      Specified by:
        `setVariable` in interface `org.kie.api.runtime.process.WorkflowProcessInstance`

    - #### setState

          public void setState(int state,
                               String outcome,
                               Object faultData)

    - #### setState

          public void setState(int state,
                               String outcome)

      Overrides:
        `setState` in class `ProcessInstanceImpl`

    - #### setState

          public void setState(int state)

      Overrides:
        `setState` in class `ProcessInstanceImpl`

    - #### disconnect

          public void disconnect()

      Overrides:
        `disconnect` in class `ProcessInstanceImpl`

    - #### reconnect

          public void reconnect()

      Overrides:
        `reconnect` in class `ProcessInstanceImpl`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ProcessInstanceImpl`

    - #### start

          public void start()

      Overrides:
        `start` in class `ProcessInstanceImpl`

    - #### start

          public void start(String trigger)

      Overrides:
        `start` in class `ProcessInstanceImpl`

    - #### configureSLA

          public void configureSLA()

    - #### configureSLATimer

          public TimerInstance configureSLATimer(String slaDueDateExpression)

    - #### configureSLATimer

          public TimerInstance configureSLATimer(String slaDueDateExpression,
                                                 String timerName)

    - #### registerExternalEventNodeListeners

          protected void registerExternalEventNodeListeners()

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.EventListener`
      Overrides:
        `signalEvent` in class `ProcessInstanceImpl`

    - #### getEventFilterResolver

          public Function<String,Object> getEventFilterResolver(org.kie.api.runtime.process.NodeInstanceContainer container,
                                                                org.kie.api.definition.process.Node node,
                                                                List<NodeInstance> currentView)

    - #### resolveVariables

          protected List<String> resolveVariables(List<String> events)

    - #### addEventListener

          public void addEventListener(String type,
                                       org.kie.api.runtime.process.EventListener listener,
                                       boolean external)

    - #### removeEventListener

          public void removeEventListener(String type,
                                          org.kie.api.runtime.process.EventListener listener,
                                          boolean external)

    - #### getEventTypes

          public String[] getEventTypes()

      Specified by:
        `getEventTypes` in interface `org.kie.api.runtime.process.EventListener`
      Overrides:
        `getEventTypes` in class `ProcessInstanceImpl`

    - #### nodeInstanceCompleted

          public void nodeInstanceCompleted(NodeInstance nodeInstance,
                                            String outType)

    - #### addCompletedNodeId

          public void addCompletedNodeId(String uniqueId)

    - #### getCompletedNodeIds

          public List<String> getCompletedNodeIds()

    - #### getCurrentLevel

          public int getCurrentLevel()

    - #### setCurrentLevel

          public void setCurrentLevel(int currentLevel)

    - #### getIterationLevels

          public Map<String,Integer> getIterationLevels()

    - #### isPersisted

          public boolean isPersisted()

    - #### setPersisted

          public void setPersisted(boolean persisted)

    - #### addActivatingNodeId

          public void addActivatingNodeId(String uniqueId)

    - #### getActivatingNodeIds

          public List<String> getActivatingNodeIds()

    - #### getFaultData

          public Object getFaultData()

    - #### isSignalCompletion

          public boolean isSignalCompletion()

    - #### setSignalCompletion

          public void setSignalCompletion(boolean signalCompletion)

    - #### getDeploymentId

          public String getDeploymentId()

    - #### setDeploymentId

          public void setDeploymentId(String deploymentId)

    - #### getCorrelationKey

          public String getCorrelationKey()

    - #### setCorrelationKey

          public void setCorrelationKey(String correlationKey)

    - #### getStartDate

          public Date getStartDate()

    - #### internalSetStartDate

          public void internalSetStartDate(Date startDate)

    - #### hasDeploymentId

          protected boolean hasDeploymentId()

    - #### useAsync

          protected boolean useAsync(org.kie.api.definition.process.Node node)

    - #### useTimerSLATracking

          protected boolean useTimerSLATracking()

    - #### getSlaCompliance

          public int getSlaCompliance()

    - #### internalSetSlaCompliance

          public void internalSetSlaCompliance(int slaCompliance)

    - #### getSlaDueDate

          public Date getSlaDueDate()

    - #### internalSetSlaDueDate

          public void internalSetSlaDueDate(Date slaDueDate)

    - #### getSlaTimerId

          public Long getSlaTimerId()

    - #### internalSetSlaTimerId

          public void internalSetSlaTimerId(Long slaTimerId)

    - #### getAgendaFilter

          public org.kie.api.runtime.rule.AgendaFilter getAgendaFilter()

    - #### setAgendaFilter

          public void setAgendaFilter(org.kie.api.runtime.rule.AgendaFilter agendaFilter)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.